#ifndef _PROTOTYPES_H
#define _PROTOTYPES_H

/* error.c */
void error(int, char *, ... );

/* fingerprint.c */
int fingerprint_init(fingerprint *);
void fingerprint_info(fingerprint);
void fingerprint_headers(fingerprint);
int fingerprint_lookup(fingerprint);
int fingerprint_loaddb(void);
void fingerprint_dumpdb(void);
void fingerprint_destroydb(void);
int fingerprint_getvalue(char *);
void fingerprint_free(fingerprint);

/* helpers.c */
#if defined(__linux__)
char *strnstr(const char *, const char *, size_t);
#endif
int set_timeout(struct timeval *, unsigned int);
void sighandler(int);

/* icmpping.c */
unsigned short icmp_in_cksum(unsigned short *, int);
int icmpping(struct in_addr);
char *icmp_message_str(struct icmp *);

/* localip.c */
int get_localip(void);

/* request.c */
int request_generate(unsigned int, char *, unsigned int, unsigned int, unsigned int *);

/* randomizer.c */
void randomizer_init(void);
unsigned int randomizer(int, char *, int);

/* response.c */
int response_reason(unsigned int *, char *);
unsigned int response_getcallid(char *);

/* scan.c */
int scan_host(struct in_addr);

/* sip.c */
char *sip_getheader(char *, char *);
int sip_parse(char *);
int sip_printheader(char *, char *);

/* smap.c */
int targets(char *);

/* stats.c */
void stats_init(void);
void stats_dump(void);

/* stun.c */
int stun_getip(char *);

/* test_allow.c */
int test_allow(int *, char *);

/* test_headers.c */
int test_headers(int *, char *);

/* test_supported.c */
int test_supported(int *, char *);

/* transport_udp.c */
int udp_test(unsigned int, struct in_addr, char *);

/* transport_tcp.c */
int tcp_test(unsigned int, struct in_addr, char *);

#endif
