/******************************************************************************
 *
 * stats.c - part of smap
 *
 * statistics output printed upon termination of smap
 *
 * $Id: stats.c,v 1.3 2006/07/30 08:27:49 hscholz Exp $
 *
 *****************************************************************************/
#ifndef _STATS_C
#define _STATS_C

#include "config.h"

void stats_init(void) {
	extern struct stats_t stats;

	FUNCTION(__FILE__, __FUNCTION__);
	stats.scanned = 0;
	stats.up = 0;
	stats.sip = 0;
}

void stats_dump(void) {
	FUNCTION(__FILE__, __FUNCTION__);
	if ((config.flags & FLAG_NOICMPPING) || (config.flags & FLAG_NOROOT)) {
		printf("\n%d host%s scanned, %d SIP enabled\n",
			stats.scanned, (stats.scanned > 1) ? "s" : "", stats.sip);
	} else {
		printf("\n%d host%s scanned, %d ICMP reachable, %d SIP enabled\n",
			stats.scanned, (stats.scanned > 1) ? "s" : "", stats.up, stats.sip);
	}
}

#endif /* _STATS_C */
